Bug 181286 - Evolution uses fixed information about mailbox location
Evolution uses fixed information about mailbox location
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-12 14:35 EST by Charlie Bennett
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 13:21:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charlie Bennett 2006-02-12 14:35:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20060202 Fedora/1.0.7-1.2.fc4 Firefox/1.0.7

Description of problem:

Evolution - and probably everything else that uses gconf uses (*gasp*)
full paths to locate objects such as stored mail folders.

This is so wrong that the designed should get Ludovico treatment with
pages from the July/Aug 1978 issue of BSTJ until they're a quivering
mass of putty.

Version-Release number of selected component (if applicable):
evolution-2.2.3-2.fc4

How reproducible:
Always

Steps to Reproduce:
1. Use evolution for a couple of years
2. Move your home directory to a different path on a different machine
3. Fire up evolution and try to manage your mail
  

Actual Results:  
If you had visibility via the network to the old home directory using
a flat network directory naming scheme you're probably not managing the
mail folders you thought you were, probably losing data as soon as you
get around to cleaning up the old home dir.

If you don't have access to the old directory you get strange error messages
about folders that you can see with 'ls' or the file browser not being found.

Expected Results:  
So let's say I'm a sysadmin at a large enterprise with 2500 home directories
being served to my desktop user population via NFS.  Contention on one volume
dictates that I take the old-school approach of moving a bunch of users to a
new volume and mount it up.  A simple change to the yp maps or my choice of
centralized auth management should suffice to attach the migrated users to their
home directories on their next login and *no piece of software on the user's desktop should even know anything happened*.  Damn, I should be able to carry my home directory around inside my Camera for all GNOME should care and I should be able to jack in over USB, set $HOME to /media/<whattever-dbus-wants-to-call-it-today>, run startx and get right to work.

Is this *hard*?

Sorry about the tone but if Ken Thompson ever saw this I swear he'd become a permanent Windows user.


Additional info:


Marked this bug as HIGH.  Normal people doing things that should normally be expected using the UNIX mythos/memeplex will (and have, you can Google) shoot themselves in the foot with this.

My home directory is an OBJECT.  Get it?

ccb
Comment 1 Charlie Bennett 2006-02-12 14:41:04 EST
Even clearer:

1. copy your home directory somewhere, old and new are both visible in the
    same filesystem namespace
2. inc your mail, with any luck you've got something less than 1000 messages
3. delete your copy of your OLD home directory
4. restart evolution.  Can't find stuff.
5. hack the %gconf.xml to point the new stuff.
6. restart evolution.  messages loaded in #2 we're deleted in #3.  Joy.
Comment 2 Christian Iseli 2007-01-19 19:19:51 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Matěj Cepl 2007-08-31 11:20:47 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 4 Matthew Barnes 2007-10-02 13:21:50 EDT
Closing as INSUFFICIENT_DATA.
Comment 5 Charlie Bennett 2007-10-06 14:49:03 EDT
How often do you move your mail infrastructure from machine to machine?

I just had a disk fail.  I'm moving the mailboxes from that disk.

Source and target are running FC6.

I'll report back later in the week as to whether this needs to be reopened

Note You need to log in before you can comment on or make changes to this bug.